import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'


import signature from 'utils/signature.js'
import store from './store'
Vue.prototype.$store = store // 定义成全局组件
import request from 'utils/request.js'
Vue.prototype.$http = request.http
Vue.prototype.$fetchPost = request.fetchPost
Vue.prototype.$baseURL = request.baseURL
Vue.prototype.$getHashQuery=signature.getHashQuery

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3



export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif